---
# file: roles/php/tasks/variables.yml

- block:
  - name: Set default facts
    set_fact:
      phpFpmService: php5-fpm
  - name: Set facts for PHP 5
    set_fact:
      phpFpmService: php-fpm
    when: php_version_main|default('7') == '5'
  - name: Set facts for PHP 7
    set_fact:
      phpFpmService: php{{php_version|default("7.0")}}-fpm
    when: php_version_main|default('7') == '7'
  tags:
    - always
